Memberships

Get project memberships

GET
/projects/{project_id}/memberships.json

Get the memberships of a project

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

project_id*|

Project ID or identifier

Query Parameters

offset?integer

Offset of the first item

Formatint64
Range0 <= value
Default0
limit?integer

Number of items per page

Formatint64
Range1 <= value <= 100
Default100

Response Body

The request has succeeded.

application/json
  1. response
memberships*array<>
total_count*integer

Total number of items

Formatint64
offset*integer

Offset of the first item

Formatint64
limit*integer

Limit of items per page

Formatint64
curl -X GET 'https://redmine.example.com/projects/0/memberships.json'
{  "memberships": [    {      "id": 0,      "project": {        "id": 0,        "name": "string"      },      "user": {        "id": 0,        "name": "string"      },      "group": {        "id": 0,        "name": "string"      },      "roles": [        {          "id": 0,          "name": "string",          "inherited": true        }      ]    }  ],  "total_count": 0,  "offset": 0,  "limit": 0}